# RulesMode

enum RulesMode

The rules mode determines how component metadata rules should be applied.

#### Since

6.8

## Entries

PREFER_PROJECT
Link copied to clipboard
PREFER_PROJECT

If this mode is set, any component metadata rule declared on a project will cause the project to use the rules declared by the project, ignoring those declared in settings. This is the default behavior.

PREFER_SETTINGS
Link copied to clipboard
PREFER_SETTINGS

If this mode is set, any component metadata rule declared directly in a project, either directly or via a plugin, will be ignored.

FAIL_ON_PROJECT_RULES
Link copied to clipboard
FAIL_ON_PROJECT_RULES

If this mode is set, any component metadata rule declared directly in a project, either directly or via a plugin, will trigger a build error.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): RulesMode

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<RulesMode>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.